package com.revoapp.calendar.helper;

import java.util.ArrayList;

public class SimpleDialogItem {
    private int drawable;
    private String label;
    private int background;
    private int shape;
    private boolean currentMonth;
    private boolean currentDay;
    private ArrayList<Integer> icons;

    public SimpleDialogItem(int drawable, String label) {
        this.drawable = drawable;
        this.label = label;
    }

    public SimpleDialogItem(String label) {
        this.label = label;
    }

    public SimpleDialogItem(boolean currentMonth, String label) {
        this.currentMonth = currentMonth;
        this.label = label;
    }

    public SimpleDialogItem(boolean currentMonth, boolean currentDay, String label) {
        this.currentMonth = currentMonth;
        this.currentDay = currentDay;
        this.label = label;
    }

    public ArrayList<Integer> getIcons() {
        return icons;
    }

    public void setIcons(ArrayList<Integer> icons) {
        this.icons = icons;
    }

    public boolean isCurrentDay() {
        return currentDay;
    }

    public void setCurrentDay(boolean currentDay) {
        this.currentDay = currentDay;
    }

    public boolean isCurrentMonth() {
        return currentMonth;
    }

    public void setCurrentMonth(boolean currentMonth) {
        this.currentMonth = currentMonth;
    }

    public int getBackground() {
        return background;
    }

    public void setBackground(int background) {
        this.background = background;
    }

    public int getShape() {
        return shape;
    }

    public void setShape(int shape) {
        this.shape = shape;
    }

    public int getDrawable() {
        return drawable;
    }

    public void setDrawable(int drawable) {
        this.drawable = drawable;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}